Class: pool
Poolwide information
Fields for class: pool
| Field | Type | Qualifier | Description |
|---|---|---|---|
allowed_operations |
pool_allowed_operations set |
RO/runtime | list of the operations allowed in this state. This list is advisory only and the server state may have changed by the time this field is read by a client. |
auto_update_vm_secureboot_certificates |
bool |
RW | When true, at VM.create time the pool automatically marks a newly created VM whose Secure Boot certificates are due to expire by setting VM.secureboot_certificates_state to update_on_boot (the same effect as VM.update_secureboot_certificates_on_boot), so the certificates are updated on the VM's next boot. This applies to VMs created by VM.create, including those created by operations that internally call it: the HTTP(s) PUT /import and /import_metadata calls and disaster recovery (VM.recover and VM_appliance.recover); it does not apply to VM.clone or VM.copy, which inherit the source VM's state. |
blobs |
(string -> blob ref) map |
RO/runtime | Binary blobs associated with this pool |
client_certificate_auth_enabled |
bool |
RO/runtime | True if authentication by TLS client certificates is enabled |
client_certificate_auth_name |
string |
RO/runtime | The name (CN/SAN) that an incoming client certificate must have to allow authentication |
coordinator_bias |
bool |
RW | true if bias against pool master when scheduling vms is enabled, false otherwise |
cpu_info |
(string -> string) map |
RO/runtime | Details about the physical CPUs on the pool |
crash_dump_SR |
SR ref |
RW | The SR in which VDIs for crash dumps are created |
current_operations |
(string -> pool_allowed_operations) map |
RO/runtime | links each of the running tasks using this object (by reference) to a current_operation enum which describes the nature of the task. |
custom_uefi_certificates |
string |
RO/constructor | Custom UEFI certificates allowing Secure Boot |
default_SR |
SR ref |
RW | Default SR for VDIs |
ext_auth_cache_enabled |
bool |
RO/runtime | Specifies whether external authentication caching is enabled for this pool or not |
ext_auth_cache_expiry |
int |
RO/runtime | Specifies how long external authentication entries should be cached for (seconds) |
ext_auth_cache_size |
int |
RO/runtime | Maximum capacity of external authentication cache |
ext_auth_max_threads |
int |
RO/constructor | Maximum number of threads to use for external (AD) authentication |
guest_agent_config |
(string -> string) map |
RO/runtime | Pool-wide guest agent configuration information |
gui_config |
(string -> string) map |
RW | gui-specific configuration for pool |
ha_allow_overcommit |
bool |
RW | If set to false then operations which would cause the Pool to become overcommitted will be blocked. |
ha_cluster_stack |
string |
RO/runtime | The HA cluster stack that is currently in use. Only valid when HA is enabled. |
ha_configuration |
(string -> string) map |
RO/runtime | The current HA configuration |
ha_enabled |
bool |
RO/runtime | true if HA is enabled on the pool, false otherwise |
ha_host_failures_to_tolerate |
int |
RO/runtime | Number of host failures to tolerate before the Pool is declared to be overcommitted |
ha_overcommitted |
bool |
RO/runtime | True if the Pool is considered to be overcommitted i.e. if there exist insufficient physical resources to tolerate the configured number of host failures |
ha_plan_exists_for |
int |
RO/runtime | Number of future host failures we have managed to find a plan for. Once this reaches zero any future host failures will cause the failure of protected VMs. |
ha_reboot_vm_on_internal_shutdown |
bool |
RW | Indicates whether an HA-protected VM that is shut down from inside (not through the API) should be automatically rebooted when HA is enabled |
ha_statefiles |
string set |
RO/runtime | HA statefile VDIs in use |
health_check_config |
(string -> string) map |
RW | Configuration for the automatic health check feature |
igmp_snooping_enabled |
bool |
RO/runtime | true if IGMP snooping is enabled in the pool, false otherwise. |
is_psr_pending |
bool |
RW | True if either a PSR is running or we are waiting for a PSR to be re-run |
last_update_sync |
datetime |
RO/runtime | time of the last update sychronization |
license_server |
(string -> string) map |
RW | Licensing data shared within the whole pool |
limit_console_sessions |
bool |
RW | When true, only one console connection per VM/host in the pool is accepted. Otherwise every connection for a VM/host's console is accepted. Note: when true, connection attempts via websocket will be rejected. |
live_patching_disabled |
bool |
RW | The pool-wide flag to show if the live patching feauture is disabled or not. |
local_auth_max_threads |
int |
RO/constructor | Maximum number of threads to use for PAM authentication |
master |
host ref |
RO/runtime | The host that is pool master |
metadata_VDIs |
VDI ref set |
RO/runtime | The set of currently known metadata VDIs for this pool |
migration_compression |
bool |
RW | Default behaviour during migration, True if stream compression should be used |
name_description |
string |
RW | Description |
name_label |
string |
RW | Short name |
other_config |
(string -> string) map |
RW | additional configuration |
policy_no_vendor_device |
bool |
RW | Deprecated. This field was consulted when VM.create did not specify a value for 'has_vendor_device'; VM.create now uses a simple default and no longer consults this value. |
recommendations |
(string -> string) map |
RO/runtime | The recommended pool properties for clients to respect for optimal performance. For example, max-vm-group=5 |
redo_log_enabled |
bool |
RO/runtime | true a redo-log is to be used other than when HA is enabled, false otherwise |
redo_log_vdi |
VDI ref |
RO/runtime | indicates the VDI to use for the redo-log other than when HA is enabled |
repositories |
Repository ref set |
RO/runtime | The set of currently enabled repositories |
repository_proxy_password |
secret ref |
RO/runtime | Password for the authentication of the proxy used in syncing with the enabled repositories |
repository_proxy_url |
string |
RO/runtime | Url of the proxy used in syncing with the enabled repositories |
repository_proxy_username |
string |
RO/runtime | Username for the authentication of the proxy used in syncing with the enabled repositories |
restrictions |
(string -> string) map |
RO/runtime | Pool-wide restrictions currently in effect |
suspend_image_SR |
SR ref |
RW | The SR in which VDIs for suspend images are created |
tags |
string set |
RW | user-specified tags for categorization purposes |
telemetry_frequency |
telemetry_frequency |
RO/runtime | How often the telemetry collection will be carried out |
telemetry_next_collection |
datetime |
RO/runtime | The earliest timestamp (in UTC) when the next round of telemetry collection can be carried out |
telemetry_uuid |
secret ref |
RO/runtime | The UUID of the pool for identification of telemetry data |
tls_verification_enabled |
bool |
RO/runtime | True iff TLS certificate verification is enabled |
uefi_certificates |
string |
RO/constructor | The UEFI certificates allowing Secure Boot |
update_sync_day |
int |
RO/runtime | The day of the week the update synchronizations will be scheduled, based on pool's local timezone. Ignored when update_sync_frequency is daily |
update_sync_enabled |
bool |
RO/runtime | Whether periodic update synchronization is enabled or not |
update_sync_frequency |
update_sync_frequency |
RO/runtime | The frequency at which updates are synchronized from a remote CDN: daily or weekly. |
uuid |
string |
RO/runtime | Unique identifier/object reference |
vm_console_idle_timeout |
int |
RW | The maximum time (in seconds) that a VM's console can be idle before it is automatically disconnected. The default value 0 means never timeout. This setting applies only to VM consoles; for host consoles, use the separate parameter 'host.console_idle_timeout'. |
vswitch_controller |
string |
RO/runtime | Deprecated. address of the vswitch controller |
wlb_enabled |
bool |
RW | true if workload balancing is enabled on the pool, false otherwise |
wlb_url |
string |
RO/runtime | Url for the configured workload balancing host |
wlb_username |
string |
RO/runtime | Username for accessing the workload balancing host |
wlb_verify_cert |
bool |
RW | Deprecated. true if communication with the WLB server should enforce TLS certificate verification. |
RPCs associated with class: pool
RPC name: addrepository
Overview:
Add a repository to the enabled set
Signature:
void add_repository (session ref session_ref, pool ref self, Repository ref value)
Arguments:
| Type | Name | Description |
|---|---|---|
session ref |
session_ref |
Reference to a valid session |
pool ref |
self |
The pool |
Repository ref |
value |
The repository to be added to the enabled set |
Minimum Role: client-cert
Return Type:
void
RPC name: addtoguestagentconfig
Overview:
Add a keyvalue pair to the poolwide guest agent configuration
Signature:
void add_to_guest_agent_config (session ref session_ref, pool ref self, string key, string value)
Arguments:
| Type | Name | Description |
|---|---|---|
session ref |
session_ref |
Reference to a valid session |
pool ref |
self |
The pool |
string |
key |
The key to add |
string |
value |
The value to add |
Minimum Role: pool-admin
Return Type:
void
RPC name: addtoguiconfig
Overview:
Add the given keyvalue pair to the guiconfig field of the given pool.
Signature:
void add_to_gui_config (session ref session_ref, pool ref self, string key, string value)
Arguments:
| Type | Name | Description |
|---|---|---|
session ref |
session_ref |
Reference to a valid session |
pool ref |
self |
reference to the object |
string |
key |
Key to add |
string |
value |
Value to add |
Minimum Role: vm-operator
Return Type:
void
RPC name: addtohealthcheckconfig
Overview:
Add the given keyvalue pair to the healthcheckconfig field of the given pool.
Signature:
void add_to_health_check_config (session ref session_ref, pool ref self, string key, string value)
Arguments:
| Type | Name | Description |
|---|---|---|
session ref |
session_ref |
Reference to a valid session |
pool ref |
self |
reference to the object |
string |
key |
Key to add |
string |
value |
Value to add |
Minimum Role: pool-operator
Return Type:
void
RPC name: addtolicenseserver
Overview:
Add the given keyvalue pair to the licenseserver field of the given pool.
Signature:
void add_to_license_server (session ref session_ref, pool ref self, string key, string value)
Arguments:
| Type | Name | Description |
|---|---|---|
session ref |
session_ref |
Reference to a valid session |
pool ref |
self |
reference to the object |
string |
key |
Key to add |
string |
value |
Value to add |
Minimum Role: pool-operator
Return Type:
void
RPC name: addtootherconfig
Overview:
Add the given keyvalue pair to the otherconfig field of the given pool.
Signature:
void add_to_other_config (session ref session_ref, pool ref self, string key, string value)
Arguments:
| Type | Name | Description |
|---|---|---|
session ref |
session_ref |
Reference to a valid session |
pool ref |
self |
reference to the object |
string |
key |
Key to add |
string |
value |
Value to add |
Minimum Role: pool-operator
Return Type:
void
RPC name: applyedition
Overview:
Apply an edition to all hosts in the pool
Signature:
void apply_edition (session ref session_ref, pool ref self, string edition)
Arguments:
| Type | Name | Description |
|---|---|---|
session ref |
session_ref |
Reference to a valid session |
pool ref |
self |
Reference to the pool |
string |
edition |
The requested edition |
Minimum Role: pool-operator
Return Type:
void
RPC name: certificateinstall
This message is deprecated.
Overview:
Install a TLS CA certificate, poolwide.
Signature:
void certificate_install (session ref session_ref, string name, string cert)
Arguments:
| Type | Name | Description |
|---|---|---|
session ref |
session_ref |
Reference to a valid session |
string |
name |
A name to give the certificate |
string |
cert |
The certificate in PEM format |
Minimum Role: pool-operator
Return Type:
void
RPC name: certificatelist
This message is deprecated.
Overview:
List the names of all installed TLS CA certificates.
Signature:
string set certificate_list (session ref session_ref)
Arguments:
| Type | Name | Description |
|---|---|---|
session ref |
session_ref |
Reference to a valid session |
Minimum Role: pool-operator
Return Type:
string set
All installed certificates
RPC name: certificatesync
Overview:
Copy the TLS CA certificates and CRLs of the master to all slaves.
Signature:
void certificate_sync (session ref session_ref)
Arguments:
| Type | Name | Description |
|---|---|---|
session ref |
session_ref |
Reference to a valid session |
Minimum Role: pool-operator
Return Type:
void
RPC name: certificateuninstall
This message is deprecated.
Overview:
Remove a poolwide TLS CA certificate.
Signature:
void certificate_uninstall (session ref session_ref, string name)
Arguments:
| Type | Name | Description |
|---|---|---|
session ref |
session_ref |
Reference to a valid session |
string |
name |
The certificate name |
Minimum Role: pool-operator
Return Type:
void
RPC name: checkupdatereadiness
Overview:
Check if the pool is ready to be updated. If not, report the reasons.
Signature:
string set set check_update_readiness (session ref session_ref, pool ref self, bool requires_reboot)
Arguments:
| Type | Name | Description |
|---|---|---|
session ref |
session_ref |
Reference to a valid session |
pool ref |
self |
The pool |
bool |
requires_reboot |
Assume that the update will require host reboots |
Minimum Role: client-cert
Return Type:
string set set
A set of error codes with arguments, if the pool is not ready to update. An empty list means the pool can be updated.
RPC name: configurerepositoryproxy
Overview:
Configure proxy for RPM package repositories.
Signature:
void configure_repository_proxy (session ref session_ref, pool ref self, string url, string username, string password)
Arguments:
| Type | Name | Description |
|---|---|---|
session ref |
session_ref |
Reference to a valid session |
pool ref |
self |
The pool |
string |
url |
The URL of the proxy server |
string |
username |
The username used to authenticate with the proxy server |
string |
password |
The password used to authenticate with the proxy server |
Minimum Role: client-cert
Return Type:
void
RPC name: configureupdatesync
Overview:
Configure periodic update synchronization to synchronize updates from a remote CDN
Signature:
void configure_update_sync (session ref session_ref, pool ref self, update_sync_frequency update_sync_frequency, int update_sync_day)
Arguments:
| Type | Name | Description |
|---|---|---|
session ref |
session_ref |
Reference to a valid session |
pool ref |
self |
The pool |
update_sync_frequency |
update_sync_frequency |
The frequency at which updates are synchronized from a remote CDN: daily or weekly. |
int |
update_sync_day |
The day of the week the update synchronization will happen, based on pool's local timezone. Valid values are 0 to 6, 0 being Sunday. For 'daily' schedule, the value is ignored. |
Minimum Role: pool-operator
Return Type:
void
RPC name: createnewblob
Overview:
Create a placeholder for a named binary blob of data that is associated with this pool
Signature:
blob ref create_new_blob (session ref session_ref, pool ref pool, string name, string mime_type, bool public)
Arguments:
| Type | Name | Description |
|---|---|---|
session ref |
session_ref |
Reference to a valid session |
pool ref |
pool |
The pool |
string |
name |
The name associated with the blob |
string |
mime_type |
The mime type for the data. Empty string translates to application/octet-stream |
bool |
public |
True if the blob should be publicly available |
Minimum Role: pool-operator
Return Type:
blob ref
The reference of the blob, needed for populating its data
RPC name: createVLAN
Overview:
Create PIFs, mapping a network to the same physical interface/VLAN on each host. This call is deprecated: use Pool.createVLANfromPIF instead.
Signature:
PIF ref set create_VLAN (session ref session_ref, string device, network ref network, int VLAN)
Arguments:
| Type | Name | Description |
|---|---|---|
session ref |
session_ref |
Reference to a valid session |
string |
device |
physical interface on which to create the VLAN interface |
network ref |
network |
network to which this interface should be connected |
int |
VLAN |
VLAN tag for the new interface |
Minimum Role: pool-operator
Return Type:
PIF ref set
The references of the created PIF objects
Possible Error Codes:
VLAN_TAG_INVALID
RPC name: createVLANfromPIF
Overview:
Create a poolwide VLAN by taking the PIF.
Signature:
PIF ref set create_VLAN_from_PIF (session ref session_ref, PIF ref pif, network ref network, int VLAN)
Arguments:
| Type | Name | Description |
|---|---|---|
session ref |
session_ref |
Reference to a valid session |
PIF ref |
pif |
physical interface on any particular host, that identifies the PIF on which to create the (pool-wide) VLAN interface |
network ref |
network |
network to which this interface should be connected |
int |
VLAN |
VLAN tag for the new interface |
Minimum Role: pool-operator
Return Type:
PIF ref set
The references of the created PIF objects
Possible Error Codes:
VLAN_TAG_INVALID
RPC name: crlinstall
Overview:
Install a TLS CAissued Certificate Revocation List, poolwide.
Signature:
void crl_install (session ref session_ref, string name, string cert)
Arguments:
| Type | Name | Description |
|---|---|---|
session ref |
session_ref |
Reference to a valid session |
string |
name |
A name to give the CRL |
string |
cert |
The CRL |
Minimum Role: pool-operator
Return Type:
void
RPC name: crllist
Overview:
List the names of all installed TLS CAissued Certificate Revocation Lists.
Signature:
string set crl_list (session ref session_ref)
Arguments:
| Type | Name | Description |
|---|---|---|
session ref |
session_ref |
Reference to a valid session |
Minimum Role: pool-operator
Return Type:
string set
The names of all installed CRLs
RPC name: crluninstall
Overview:
Remove a poolwide TLS CAissued Certificate Revocation List.
Signature:
void crl_uninstall (session ref session_ref, string name)
Arguments:
| Type | Name | Description |
|---|---|---|
session ref |
session_ref |
Reference to a valid session |
string |
name |
The CRL name |
Minimum Role: pool-operator
Return Type:
void
RPC name: deconfigurewlb
Overview:
Permanently deconfigures workload balancing monitoring on this pool
Signature:
void deconfigure_wlb (session ref session_ref)
Arguments:
| Type | Name | Description |
|---|---|---|
session ref |
session_ref |
Reference to a valid session |
Minimum Role: pool-operator
Return Type:
void
RPC name: designatenewmaster
Overview:
Perform an orderly handover of the role of master to the referenced host.
Signature:
void designate_new_master (session ref session_ref, host ref host)
Arguments:
| Type | Name | Description |
|---|---|---|
session ref |
session_ref |
Reference to a valid session |
host ref |
host |
The host who should become the new master |
Minimum Role: pool-operator
Return Type:
void
RPC name: detectnonhomogeneousexternalauth
Overview:
This call asynchronously detects if the external authentication configuration in any slave is different from that in the master and raises appropriate alerts
Signature:
void detect_nonhomogeneous_external_auth (session ref session_ref, pool ref pool)
Arguments:
| Type | Name | Description |
|---|---|---|
session ref |
session_ref |
Reference to a valid session |
pool ref |
pool |
The pool where to detect non-homogeneous external authentication configuration |
Minimum Role: pool-operator
Return Type:
void
RPC name: disableclientcertificateauth
Overview:
Disable client certificate authentication on the pool
Signature:
void disable_client_certificate_auth (session ref session_ref, pool ref self)
Arguments:
| Type | Name | Description |
|---|---|---|
session ref |
session_ref |
Reference to a valid session |
pool ref |
self |
The pool |
Minimum Role: client-cert
Return Type:
void
RPC name: disableexternalauth
Overview:
This call disables external authentication on all the hosts of the pool
Signature:
void disable_external_auth (session ref session_ref, pool ref pool, (string -> string) map config)
Arguments:
| Type | Name | Description |
|---|---|---|
session ref |
session_ref |
Reference to a valid session |
pool ref |
pool |
The pool whose external authentication should be disabled |
(string -> string) map |
config |
Optional parameters as a list of key-values containing the configuration data |
Minimum Role: pool-admin
Return Type:
void
RPC name: disableha
Overview:
Turn off High Availability mode
Signature:
void disable_ha (session ref session_ref)
Arguments:
| Type | Name | Description |
|---|---|---|
session ref |
session_ref |
Reference to a valid session |
Minimum Role: client-cert
Return Type:
void
RPC name: disablelocalstoragecaching
Overview:
This call disables poolwide local storage caching
Signature:
void disable_local_storage_caching (session ref session_ref, pool ref self)
Arguments:
| Type | Name | Description |
|---|---|---|
session ref |
session_ref |
Reference to a valid session |
pool ref |
self |
Reference to the pool |
Minimum Role: pool-operator
Return Type:
void
RPC name: disableredolog
Overview:
Disable the redo log if in use, unless HA is enabled.
Signature:
void disable_redo_log (session ref session_ref)
Arguments:
| Type | Name | Description |
|---|---|---|
session ref |
session_ref |
Reference to a valid session |
Minimum Role: pool-operator
Return Type:
void
RPC name: disablerepositoryproxy
Overview:
Disable the proxy for RPM package repositories.
Signature:
void disable_repository_proxy (session ref session_ref, pool ref self)
Arguments:
| Type | Name | Description |
|---|---|---|
session ref |
session_ref |
Reference to a valid session |
pool ref |
self |
The pool |
Minimum Role: client-cert
Return Type:
void
RPC name: disablessh
Overview:
Disable SSH access on all hosts in the pool. It's a helper which calls host.disablessh for all the hosts in the pool.
Signature:
void disable_ssh (session ref session_ref, pool ref self)
Arguments:
| Type | Name | Description |
|---|---|---|
session ref |
session_ref |
Reference to a valid session |
pool ref |
self |
The pool |
Minimum Role: pool-admin
Return Type:
void
RPC name: disablessllegacy
This message is deprecated.
Overview:
Sets ssllegacy false on each host, poolmaster last. See Host.ssllegacy and Host.setssllegacy.
Signature:
void disable_ssl_legacy (session ref session_ref, pool ref self)
Arguments:
| Type | Name | Description |
|---|---|---|
session ref |
session_ref |
Reference to a valid session |
pool ref |
self |
(ignored) |
Minimum Role: pool-operator
Return Type:
void
RPC name: eject
Overview:
Instruct a pool master to eject a host from the pool
Signature:
void eject (session ref session_ref, host ref host)
Arguments:
| Type | Name | Description |
|---|---|---|
session ref |
session_ref |
Reference to a valid session |
host ref |
host |
The host to eject |
Minimum Role: pool-operator
Return Type:
void
RPC name: emergencyresetmaster
Overview:
Instruct a slave already in a pool that the master has changed
Signature:
void emergency_reset_master (session ref session_ref, string master_address)
Arguments:
| Type | Name | Description |
|---|---|---|
session ref |
session_ref |
Reference to a valid session |
string |
master_address |
The hostname of the master |
Minimum Role: pool-operator
Return Type:
void
RPC name: emergencytransitiontomaster
Overview:
Instruct host that's currently a slave to transition to being master
Signature:
void emergency_transition_to_master (session ref session_ref)
Arguments:
| Type | Name | Description |
|---|---|---|
session ref |
session_ref |
Reference to a valid session |
Minimum Role: pool-operator
Return Type:
void
RPC name: enableclientcertificateauth
Overview:
Enable client certificate authentication on the pool
Signature:
void enable_client_certificate_auth (session ref session_ref, pool ref self, string name)
Arguments:
| Type | Name | Description |
|---|---|---|
session ref |
session_ref |
Reference to a valid session |
pool ref |
self |
The pool |
string |
name |
The name (CN/SAN) that an incoming client certificate must have to allow authentication |
Minimum Role: client-cert
Return Type:
void
RPC name: enableexternalauth
Overview:
This call enables external authentication on all the hosts of the pool
Signature:
void enable_external_auth (session ref session_ref, pool ref pool, (string -> string) map config, string service_name, string auth_type)
Arguments:
| Type | Name | Description |
|---|---|---|
session ref |
session_ref |
Reference to a valid session |
pool ref |
pool |
The pool whose external authentication should be enabled |
(string -> string) map |
config |
A list of key-values containing the configuration data |
string |
service_name |
The name of the service |
string |
auth_type |
The type of authentication (for example, AD for Active Directory) |
Minimum Role: pool-admin
Return Type:
void
RPC name: enableha
Overview:
Turn on High Availability mode
Signature:
void enable_ha (session ref session_ref, SR ref set heartbeat_srs, (string -> string) map configuration)
Arguments:
| Type | Name | Description |
|---|---|---|
session ref |
session_ref |
Reference to a valid session |
SR ref set |
heartbeat_srs |
Set of SRs to use for storage heartbeating |
(string -> string) map |
configuration |
Detailed HA configuration to apply |
Minimum Role: client-cert
Return Type:
void
RPC name: enablelocalstoragecaching
Overview:
This call attempts to enable poolwide local storage caching
Signature:
void enable_local_storage_caching (session ref session_ref, pool ref self)
Arguments:
| Type | Name | Description |
|---|---|---|
session ref |
session_ref |
Reference to a valid session |
pool ref |
self |
Reference to the pool |
Minimum Role: pool-operator
Return Type:
void
RPC name: enableredolog
Overview:
Enable the redo log on the given SR and start using it, unless HA is enabled.
Signature:
void enable_redo_log (session ref session_ref, SR ref sr)
Arguments:
| Type | Name | Description |
|---|---|---|
session ref |
session_ref |
Reference to a valid session |
SR ref |
sr |
SR to hold the redo log. |
Minimum Role: pool-operator
Return Type:
void
RPC name: enablessh
Overview:
Enable SSH access on all hosts in the pool. It's a helper which calls host.enablessh for all the hosts in the pool.
Signature:
void enable_ssh (session ref session_ref, pool ref self)
Arguments:
| Type | Name | Description |
|---|---|---|
session ref |
session_ref |
Reference to a valid session |
pool ref |
self |
The pool |
Minimum Role: pool-admin
Return Type:
void
RPC name: enablessllegacy
This message is removed.
Overview:
Sets ssllegacy true on each host, poolmaster last. See Host.ssllegacy and Host.setssllegacy.
Signature:
void enable_ssl_legacy (session ref session_ref, pool ref self)
Arguments:
| Type | Name | Description |
|---|---|---|
session ref |
session_ref |
Reference to a valid session |
pool ref |
self |
(ignored) |
Minimum Role: pool-operator
Return Type:
void
RPC name: enabletlsverification
Overview:
Enable TLS server certificate verification
Signature:
void enable_tls_verification (session ref session_ref)
Arguments:
| Type | Name | Description |
|---|---|---|
session ref |
session_ref |
Reference to a valid session |
Minimum Role: pool-admin
Return Type:
void
RPC name: externalauthsetldaps
Overview:
This call enables or disables LDAPS for external authentication on all hosts in the pool
Signature:
void external_auth_set_ldaps (session ref session_ref, pool ref pool, bool ldaps, bool force)
Arguments:
| Type | Name | Description |
|---|---|---|
session ref |
session_ref |
Reference to a valid session |
pool ref |
pool |
The pool whose LDAPS configuration should be set |
bool |
ldaps |
Whether to enable or disable LDAPS |
bool |
force |
Force the operation even if already in the desired state |
Minimum Role: pool-admin
Return Type:
void
RPC name: getall
Overview:
Return a list of all the pools known to the system.
Signature:
pool ref set get_all (session ref session_ref)
Arguments:
| Type | Name | Description |
|---|---|---|
session ref |
session_ref |
Reference to a valid session |
Minimum Role: read-only
Return Type:
pool ref set
references to all objects
RPC name: getallrecords
Overview:
Return a map of pool references to pool records for all pools known to the system.
Signature:
(pool ref -> pool record) map get_all_records (session ref session_ref)
Arguments:
| Type | Name | Description |
|---|---|---|
session ref |
session_ref |
Reference to a valid session |
Minimum Role: read-only
Return Type:
(pool ref -> pool record) map
records of all objects
RPC name: getallowedoperations
Overview:
Get the allowedoperations field of the given pool.
Signature:
pool_allowed_operations set get_allowed_operations (session ref session_ref, pool ref self)
Arguments:
| Type | Name | Description |
|---|---|---|
session ref |
session_ref |
Reference to a valid session |
pool ref |
self |
reference to the object |
Minimum Role: read-only
Return Type:
pool_allowed_operations set
value of the field
RPC name: getautoupdatevmsecurebootcertificates
Overview:
Get the autoupdatevmsecurebootcertificates field of the given pool.
Signature:
bool get_auto_update_vm_secureboot_certificates (session ref session_ref, pool ref self)
Arguments:
| Type | Name | Description |
|---|---|---|
session ref |
session_ref |
Reference to a valid session |
pool ref |
self |
reference to the object |
Minimum Role: read-only
Return Type:
bool
value of the field
RPC name: getblobs
Overview:
Get the blobs field of the given pool.
Signature:
(string -> blob ref) map get_blobs (session ref session_ref, pool ref self)
Arguments:
| Type | Name | Description |
|---|---|---|
session ref |
session_ref |
Reference to a valid session |
pool ref |
self |
reference to the object |
Minimum Role: read-only
Return Type:
(string -> blob ref) map
value of the field
RPC name: getbyuuid
Overview:
Get a reference to the pool instance with the specified UUID.
Signature:
pool ref get_by_uuid (session ref session_ref, string uuid)
Arguments:
| Type | Name | Description |
|---|---|---|
session ref |
session_ref |
Reference to a valid session |
string |
uuid |
UUID of object to return |
Minimum Role: read-only
Return Type:
pool ref
reference to the object
RPC name: getclientcertificateauthenabled
Overview:
Get the clientcertificateauthenabled field of the given pool.
Signature:
bool get_client_certificate_auth_enabled (session ref session_ref, pool ref self)
Arguments:
| Type | Name | Description |
|---|---|---|
session ref |
session_ref |
Reference to a valid session |
pool ref |
self |
reference to the object |
Minimum Role: read-only
Return Type:
bool
value of the field
RPC name: getclientcertificateauthname
Overview:
Get the clientcertificateauthname field of the given pool.
Signature:
string get_client_certificate_auth_name (session ref session_ref, pool ref self)
Arguments:
| Type | Name | Description |
|---|---|---|
session ref |
session_ref |
Reference to a valid session |
pool ref |
self |
reference to the object |
Minimum Role: read-only
Return Type:
string
value of the field
RPC name: getcoordinatorbias
Overview:
Get the coordinatorbias field of the given pool.
Signature:
bool get_coordinator_bias (session ref session_ref, pool ref self)
Arguments:
| Type | Name | Description |
|---|---|---|
session ref |
session_ref |
Reference to a valid session |
pool ref |
self |
reference to the object |
Minimum Role: read-only
Return Type:
bool
value of the field
RPC name: getcpuinfo
Overview:
Get the cpuinfo field of the given pool.
Signature:
(string -> string) map get_cpu_info (session ref session_ref, pool ref self)
Arguments:
| Type | Name | Description |
|---|---|---|
session ref |
session_ref |
Reference to a valid session |
pool ref |
self |
reference to the object |
Minimum Role: read-only
Return Type:
(string -> string) map
value of the field
RPC name: getcrashdumpSR
Overview:
Get the crashdumpSR field of the given pool.
Signature:
SR ref get_crash_dump_SR (session ref session_ref, pool ref self)
Arguments:
| Type | Name | Description |
|---|---|---|
session ref |
session_ref |
Reference to a valid session |
pool ref |
self |
reference to the object |
Minimum Role: read-only
Return Type:
SR ref
value of the field
RPC name: getcurrentoperations
Overview:
Get the currentoperations field of the given pool.
Signature:
(string -> pool_allowed_operations) map get_current_operations (session ref session_ref, pool ref self)
Arguments:
| Type | Name | Description |
|---|---|---|
session ref |
session_ref |
Reference to a valid session |
pool ref |
self |
reference to the object |
Minimum Role: read-only
Return Type:
(string -> pool_allowed_operations) map
value of the field
RPC name: getcustomueficertificates
Overview:
Get the customueficertificates field of the given pool.
Signature:
string get_custom_uefi_certificates (session ref session_ref, pool ref self)
Arguments:
| Type | Name | Description |
|---|---|---|
session ref |
session_ref |
Reference to a valid session |
pool ref |
self |
reference to the object |
Minimum Role: read-only
Return Type:
string
value of the field
RPC name: getdefaultSR
Overview:
Get the defaultSR field of the given pool.
Signature:
SR ref get_default_SR (session ref session_ref, pool ref self)
Arguments:
| Type | Name | Description |
|---|---|---|
session ref |
session_ref |
Reference to a valid session |
pool ref |
self |
reference to the object |
Minimum Role: read-only
Return Type:
SR ref
value of the field
RPC name: getextauthcacheenabled
Overview:
Get the extauthcacheenabled field of the given pool.
Signature:
bool get_ext_auth_cache_enabled (session ref session_ref, pool ref self)
Arguments:
| Type | Name | Description |
|---|---|---|
session ref |
session_ref |
Reference to a valid session |
pool ref |
self |
reference to the object |
Minimum Role: read-only
Return Type:
bool
value of the field
RPC name: getextauthcacheexpiry
Overview:
Get the extauthcacheexpiry field of the given pool.
Signature:
int get_ext_auth_cache_expiry (session ref session_ref, pool ref self)
Arguments:
| Type | Name | Description |
|---|---|---|
session ref |
session_ref |
Reference to a valid session |
pool ref |
self |
reference to the object |
Minimum Role: read-only
Return Type:
int
value of the field
RPC name: getextauthcachesize
Overview:
Get the extauthcachesize field of the given pool.
Signature:
int get_ext_auth_cache_size (session ref session_ref, pool ref self)
Arguments:
| Type | Name | Description |
|---|---|---|
session ref |
session_ref |
Reference to a valid session |
pool ref |
self |
reference to the object |
Minimum Role: read-only
Return Type:
int
value of the field
RPC name: getextauthmaxthreads
Overview:
Get the extauthmaxthreads field of the given pool.
Signature:
int get_ext_auth_max_threads (session ref session_ref, pool ref self)
Arguments:
| Type | Name | Description |
|---|---|---|
session ref |
session_ref |
Reference to a valid session |
pool ref |
self |
reference to the object |
Minimum Role: read-only
Return Type:
int
value of the field
RPC name: getguestagentconfig
Overview:
Get the guestagentconfig field of the given pool.
Signature:
(string -> string) map get_guest_agent_config (session ref session_ref, pool ref self)
Arguments:
| Type | Name | Description |
|---|---|---|
session ref |
session_ref |
Reference to a valid session |
pool ref |
self |
reference to the object |
Minimum Role: read-only
Return Type:
(string -> string) map
value of the field
RPC name: getguestsecurebootreadiness
Overview:
Signature:
pool_guest_secureboot_readiness get_guest_secureboot_readiness (session ref session_ref, pool ref self)
Arguments:
| Type | Name | Description |
|---|---|---|
session ref |
session_ref |
Reference to a valid session |
pool ref |
self |
The pool |
Minimum Role: pool-operator
Return Type:
pool_guest_secureboot_readiness
The readiness of the pool
RPC name: getguiconfig
Overview:
Get the guiconfig field of the given pool.
Signature:
(string -> string) map get_gui_config (session ref session_ref, pool ref self)
Arguments:
| Type | Name | Description |
|---|---|---|
session ref |
session_ref |
Reference to a valid session |
pool ref |
self |
reference to the object |
Minimum Role: read-only
Return Type:
(string -> string) map
value of the field
RPC name: gethaallowovercommit
Overview:
Get the haallowovercommit field of the given pool.
Signature:
bool get_ha_allow_overcommit (session ref session_ref, pool ref self)
Arguments:
| Type | Name | Description |
|---|---|---|
session ref |
session_ref |
Reference to a valid session |
pool ref |
self |
reference to the object |
Minimum Role: read-only
Return Type:
bool
value of the field
RPC name: gethaclusterstack
Overview:
Get the haclusterstack field of the given pool.
Signature:
string get_ha_cluster_stack (session ref session_ref, pool ref self)
Arguments:
| Type | Name | Description |
|---|---|---|
session ref |
session_ref |
Reference to a valid session |
pool ref |
self |
reference to the object |
Minimum Role: read-only
Return Type:
string
value of the field
RPC name: gethaconfiguration
Overview:
Get the haconfiguration field of the given pool.
Signature:
(string -> string) map get_ha_configuration (session ref session_ref, pool ref self)
Arguments:
| Type | Name | Description |
|---|---|---|
session ref |
session_ref |
Reference to a valid session |
pool ref |
self |
reference to the object |
Minimum Role: read-only
Return Type:
(string -> string) map
value of the field
RPC name: gethaenabled
Overview:
Get the haenabled field of the given pool.
Signature:
bool get_ha_enabled (session ref session_ref, pool ref self)
Arguments:
| Type | Name | Description |
|---|---|---|
session ref |
session_ref |
Reference to a valid session |
pool ref |
self |
reference to the object |
Minimum Role: read-only
Return Type:
bool
value of the field
RPC name: gethahostfailurestotolerate
Overview:
Get the hahostfailurestotolerate field of the given pool.
Signature:
int get_ha_host_failures_to_tolerate (session ref session_ref, pool ref self)
Arguments:
| Type | Name | Description |
|---|---|---|
session ref |
session_ref |
Reference to a valid session |
pool ref |
self |
reference to the object |
Minimum Role: read-only
Return Type:
int
value of the field
RPC name: gethaovercommitted
Overview:
Get the haovercommitted field of the given pool.
Signature:
bool get_ha_overcommitted (session ref session_ref, pool ref self)
Arguments:
| Type | Name | Description |
|---|---|---|
session ref |
session_ref |
Reference to a valid session |
pool ref |
self |
reference to the object |
Minimum Role: read-only
Return Type:
bool
value of the field
RPC name: gethaplanexistsfor
Overview:
Get the haplanexistsfor field of the given pool.
Signature:
int get_ha_plan_exists_for (session ref session_ref, pool ref self)
Arguments:
| Type | Name | Description |
|---|---|---|
session ref |
session_ref |
Reference to a valid session |
pool ref |
self |
reference to the object |
Minimum Role: read-only
Return Type:
int
value of the field
RPC name: getharebootvmoninternalshutdown
Overview:
Get the harebootvmoninternalshutdown field of the given pool.
Signature:
bool get_ha_reboot_vm_on_internal_shutdown (session ref session_ref, pool ref self)
Arguments:
| Type | Name | Description |
|---|---|---|
session ref |
session_ref |
Reference to a valid session |
pool ref |
self |
reference to the object |
Minimum Role: read-only
Return Type:
bool
value of the field
RPC name: gethastatefiles
Overview:
Get the hastatefiles field of the given pool.
Signature:
string set get_ha_statefiles (session ref session_ref, pool ref self)
Arguments:
| Type | Name | Description |
|---|---|---|
session ref |
session_ref |
Reference to a valid session |
pool ref |
self |
reference to the object |
Minimum Role: read-only
Return Type:
string set
value of the field
RPC name: gethealthcheckconfig
Overview:
Get the healthcheckconfig field of the given pool.
Signature:
(string -> string) map get_health_check_config (session ref session_ref, pool ref self)
Arguments:
| Type | Name | Description |
|---|---|---|
session ref |
session_ref |
Reference to a valid session |
pool ref |
self |
reference to the object |
Minimum Role: read-only
Return Type:
(string -> string) map
value of the field
RPC name: getigmpsnoopingenabled
Overview:
Get the igmpsnoopingenabled field of the given pool.
Signature:
bool get_igmp_snooping_enabled (session ref session_ref, pool ref self)
Arguments:
| Type | Name | Description |
|---|---|---|
session ref |
session_ref |
Reference to a valid session |
pool ref |
self |
reference to the object |
Minimum Role: read-only
Return Type:
bool
value of the field
RPC name: getispsrpending
Overview:
Get the ispsrpending field of the given pool.
Signature:
bool get_is_psr_pending (session ref session_ref, pool ref self)
Arguments:
| Type | Name | Description |
|---|---|---|
session ref |
session_ref |
Reference to a valid session |
pool ref |
self |
reference to the object |
Minimum Role: read-only
Return Type:
bool
value of the field
RPC name: getlastupdatesync
Overview:
Get the lastupdatesync field of the given pool.
Signature:
datetime get_last_update_sync (session ref session_ref, pool ref self)
Arguments:
| Type | Name | Description |
|---|---|---|
session ref |
session_ref |
Reference to a valid session |
pool ref |
self |
reference to the object |
Minimum Role: read-only
Return Type:
datetime
value of the field
RPC name: getlicenseserver
Overview:
Get the licenseserver field of the given pool.
Signature:
(string -> string) map get_license_server (session ref session_ref, pool ref self)
Arguments:
| Type | Name | Description |
|---|---|---|
session ref |
session_ref |
Reference to a valid session |
pool ref |
self |
reference to the object |
Minimum Role: read-only
Return Type:
(string -> string) map
value of the field
RPC name: getlicensestate
Overview:
This call returns the license state for the pool
Signature:
(string -> string) map get_license_state (session ref session_ref, pool ref self)
Arguments:
| Type | Name | Description |
|---|---|---|
session ref |
session_ref |
Reference to a valid session |
pool ref |
self |
Reference to the pool |
Minimum Role: read-only
Return Type:
(string -> string) map
The pool's license state
RPC name: getlimitconsolesessions
Overview:
Get the limitconsolesessions field of the given pool.
Signature:
bool get_limit_console_sessions (session ref session_ref, pool ref self)
Arguments:
| Type | Name | Description |
|---|---|---|
session ref |
session_ref |
Reference to a valid session |
pool ref |
self |
reference to the object |
Minimum Role: read-only
Return Type:
bool
value of the field
RPC name: getlivepatchingdisabled
Overview:
Get the livepatchingdisabled field of the given pool.
Signature:
bool get_live_patching_disabled (session ref session_ref, pool ref self)
Arguments:
| Type | Name | Description |
|---|---|---|
session ref |
session_ref |
Reference to a valid session |
pool ref |
self |
reference to the object |
Minimum Role: read-only
Return Type:
bool
value of the field
RPC name: getlocalauthmaxthreads
Overview:
Get the localauthmaxthreads field of the given pool.
Signature:
int get_local_auth_max_threads (session ref session_ref, pool ref self)
Arguments:
| Type | Name | Description |
|---|---|---|
session ref |
session_ref |
Reference to a valid session |
pool ref |
self |
reference to the object |
Minimum Role: read-only
Return Type:
int
value of the field
RPC name: getmaster
Overview:
Get the master field of the given pool.
Signature:
host ref get_master (session ref session_ref, pool ref self)
Arguments:
| Type | Name | Description |
|---|---|---|
session ref |
session_ref |
Reference to a valid session |
pool ref |
self |
reference to the object |
Minimum Role: read-only
Return Type:
host ref
value of the field
RPC name: getmetadataVDIs
Overview:
Get the metadataVDIs field of the given pool.
Signature:
VDI ref set get_metadata_VDIs (session ref session_ref, pool ref self)
Arguments:
| Type | Name | Description |
|---|---|---|
session ref |
session_ref |
Reference to a valid session |
pool ref |
self |
reference to the object |
Minimum Role: read-only
Return Type:
VDI ref set
value of the field
RPC name: getmigrationcompression
Overview:
Get the migrationcompression field of the given pool.
Signature:
bool get_migration_compression (session ref session_ref, pool ref self)
Arguments:
| Type | Name | Description |
|---|---|---|
session ref |
session_ref |
Reference to a valid session |
pool ref |
self |
reference to the object |
Minimum Role: read-only
Return Type:
bool
value of the field
RPC name: getnamedescription
Overview:
Get the namedescription field of the given pool.
Signature:
string get_name_description (session ref session_ref, pool ref self)
Arguments:
| Type | Name | Description |
|---|---|---|
session ref |
session_ref |
Reference to a valid session |
pool ref |
self |
reference to the object |
Minimum Role: read-only
Return Type:
string
value of the field
RPC name: getnamelabel
Overview:
Get the namelabel field of the given pool.
Signature:
string get_name_label (session ref session_ref, pool ref self)
Arguments:
| Type | Name | Description |
|---|---|---|
session ref |
session_ref |
Reference to a valid session |
pool ref |
self |
reference to the object |
Minimum Role: read-only
Return Type:
string
value of the field
RPC name: getotherconfig
Overview:
Get the otherconfig field of the given pool.
Signature:
(string -> string) map get_other_config (session ref session_ref, pool ref self)
Arguments:
| Type | Name | Description |
|---|---|---|
session ref |
session_ref |
Reference to a valid session |
pool ref |
self |
reference to the object |
Minimum Role: read-only
Return Type:
(string -> string) map
value of the field
RPC name: getpolicynovendordevice
This message is deprecated.
Overview:
Get the policynovendordevice field of the given pool.
Signature:
bool get_policy_no_vendor_device (session ref session_ref, pool ref self)
Arguments:
| Type | Name | Description |
|---|---|---|
session ref |
session_ref |
Reference to a valid session |
pool ref |
self |
reference to the object |
Minimum Role: read-only
Return Type:
bool
value of the field
RPC name: getrecommendations
Overview:
Get the recommendations field of the given pool.
Signature:
(string -> string) map get_recommendations (session ref session_ref, pool ref self)
Arguments:
| Type | Name | Description |
|---|---|---|
session ref |
session_ref |
Reference to a valid session |
pool ref |
self |
reference to the object |
Minimum Role: read-only
Return Type:
(string -> string) map
value of the field
RPC name: getrecord
Overview:
Get a record containing the current state of the given pool.
Signature:
pool record get_record (session ref session_ref, pool ref self)
Arguments:
| Type | Name | Description |
|---|---|---|
session ref |
session_ref |
Reference to a valid session |
pool ref |
self |
reference to the object |
Minimum Role: read-only
Return Type:
pool record
all fields from the object
RPC name: getredologenabled
Overview:
Get the redologenabled field of the given pool.
Signature:
bool get_redo_log_enabled (session ref session_ref, pool ref self)
Arguments:
| Type | Name | Description |
|---|---|---|
session ref |
session_ref |
Reference to a valid session |
pool ref |
self |
reference to the object |
Minimum Role: read-only
Return Type:
bool
value of the field
RPC name: getredologvdi
Overview:
Get the redologvdi field of the given pool.
Signature:
VDI ref get_redo_log_vdi (session ref session_ref, pool ref self)
Arguments:
| Type | Name | Description |
|---|---|---|
session ref |
session_ref |
Reference to a valid session |
pool ref |
self |
reference to the object |
Minimum Role: read-only
Return Type:
VDI ref
value of the field
RPC name: getrepositories
Overview:
Get the repositories field of the given pool.
Signature:
Repository ref set get_repositories (session ref session_ref, pool ref self)
Arguments:
| Type | Name | Description |
|---|---|---|
session ref |
session_ref |
Reference to a valid session |
pool ref |
self |
reference to the object |
Minimum Role: read-only
Return Type:
Repository ref set
value of the field
RPC name: getrepositoryproxypassword
Overview:
Get the repositoryproxypassword field of the given pool.
Signature:
secret ref get_repository_proxy_password (session ref session_ref, pool ref self)
Arguments:
| Type | Name | Description |
|---|---|---|
session ref |
session_ref |
Reference to a valid session |
pool ref |
self |
reference to the object |
Minimum Role: read-only
Return Type:
secret ref
value of the field
RPC name: getrepositoryproxyurl
Overview:
Get the repositoryproxyurl field of the given pool.
Signature:
string get_repository_proxy_url (session ref session_ref, pool ref self)
Arguments:
| Type | Name | Description |
|---|---|---|
session ref |
session_ref |
Reference to a valid session |
pool ref |
self |
reference to the object |
Minimum Role: read-only
Return Type:
string
value of the field
RPC name: getrepositoryproxyusername
Overview:
Get the repositoryproxyusername field of the given pool.
Signature:
string get_repository_proxy_username (session ref session_ref, pool ref self)
Arguments:
| Type | Name | Description |
|---|---|---|
session ref |
session_ref |
Reference to a valid session |
pool ref |
self |
reference to the object |
Minimum Role: read-only
Return Type:
string
value of the field
RPC name: getrestrictions
Overview:
Get the restrictions field of the given pool.
Signature:
(string -> string) map get_restrictions (session ref session_ref, pool ref self)
Arguments:
| Type | Name | Description |
|---|---|---|
session ref |
session_ref |
Reference to a valid session |
pool ref |
self |
reference to the object |
Minimum Role: read-only
Return Type:
(string -> string) map
value of the field
RPC name: getsuspendimageSR
Overview:
Get the suspendimageSR field of the given pool.
Signature:
SR ref get_suspend_image_SR (session ref session_ref, pool ref self)
Arguments:
| Type | Name | Description |
|---|---|---|
session ref |
session_ref |
Reference to a valid session |
pool ref |
self |
reference to the object |
Minimum Role: read-only
Return Type:
SR ref
value of the field
RPC name: gettelemetryfrequency
Overview:
Get the telemetryfrequency field of the given pool.
Signature:
telemetry_frequency get_telemetry_frequency (session ref session_ref, pool ref self)
Arguments:
| Type | Name | Description |
|---|---|---|
session ref |
session_ref |
Reference to a valid session |
pool ref |
self |
reference to the object |
Minimum Role: read-only
Return Type:
telemetry_frequency
value of the field
RPC name: gettelemetrynextcollection
Overview:
Get the telemetrynextcollection field of the given pool.
Signature:
datetime get_telemetry_next_collection (session ref session_ref, pool ref self)
Arguments:
| Type | Name | Description |
|---|---|---|
session ref |
session_ref |
Reference to a valid session |
pool ref |
self |
reference to the object |
Minimum Role: read-only
Return Type:
datetime
value of the field
RPC name: gettelemetryuuid
Overview:
Get the telemetryuuid field of the given pool.
Signature:
secret ref get_telemetry_uuid (session ref session_ref, pool ref self)
Arguments:
| Type | Name | Description |
|---|---|---|
session ref |
session_ref |
Reference to a valid session |
pool ref |
self |
reference to the object |
Minimum Role: read-only
Return Type:
secret ref
value of the field
RPC name: gettlsverificationenabled
Overview:
Get the tlsverificationenabled field of the given pool.
Signature:
bool get_tls_verification_enabled (session ref session_ref, pool ref self)
Arguments:
| Type | Name | Description |
|---|---|---|
session ref |
session_ref |
Reference to a valid session |
pool ref |
self |
reference to the object |
Minimum Role: read-only
Return Type:
bool
value of the field
RPC name: getueficertificates
Overview:
Get the ueficertificates field of the given pool.
Signature:
string get_uefi_certificates (session ref session_ref, pool ref self)
Arguments:
| Type | Name | Description |
|---|---|---|
session ref |
session_ref |
Reference to a valid session |
pool ref |
self |
reference to the object |
Minimum Role: read-only
Return Type:
string
value of the field
RPC name: getupdatesyncday
Overview:
Get the updatesyncday field of the given pool.
Signature:
int get_update_sync_day (session ref session_ref, pool ref self)
Arguments:
| Type | Name | Description |
|---|---|---|
session ref |
session_ref |
Reference to a valid session |
pool ref |
self |
reference to the object |
Minimum Role: read-only
Return Type:
int
value of the field
RPC name: getupdatesyncenabled
Overview:
Get the updatesyncenabled field of the given pool.
Signature:
bool get_update_sync_enabled (session ref session_ref, pool ref self)
Arguments:
| Type | Name | Description |
|---|---|---|
session ref |
session_ref |
Reference to a valid session |
pool ref |
self |
reference to the object |
Minimum Role: read-only
Return Type:
bool
value of the field
RPC name: getupdatesyncfrequency
Overview:
Get the updatesyncfrequency field of the given pool.
Signature:
update_sync_frequency get_update_sync_frequency (session ref session_ref, pool ref self)
Arguments:
| Type | Name | Description |
|---|---|---|
session ref |
session_ref |
Reference to a valid session |
pool ref |
self |
reference to the object |
Minimum Role: read-only
Return Type:
update_sync_frequency
value of the field
RPC name: getuuid
Overview:
Get the uuid field of the given pool.
Signature:
string get_uuid (session ref session_ref, pool ref self)
Arguments:
| Type | Name | Description |
|---|---|---|
session ref |
session_ref |
Reference to a valid session |
pool ref |
self |
reference to the object |
Minimum Role: read-only
Return Type:
string
value of the field
RPC name: getvmconsoleidletimeout
Overview:
Get the vmconsoleidletimeout field of the given pool.
Signature:
int get_vm_console_idle_timeout (session ref session_ref, pool ref self)
Arguments:
| Type | Name | Description |
|---|---|---|
session ref |
session_ref |
Reference to a valid session |
pool ref |
self |
reference to the object |
Minimum Role: read-only
Return Type:
int
value of the field
RPC name: getvswitchcontroller
This message is deprecated.
Overview:
Get the vswitchcontroller field of the given pool.
Signature:
string get_vswitch_controller (session ref session_ref, pool ref self)
Arguments:
| Type | Name | Description |
|---|---|---|
session ref |
session_ref |
Reference to a valid session |
pool ref |
self |
reference to the object |
Minimum Role: read-only
Return Type:
string
value of the field
RPC name: getwlbenabled
Overview:
Get the wlbenabled field of the given pool.
Signature:
bool get_wlb_enabled (session ref session_ref, pool ref self)
Arguments:
| Type | Name | Description |
|---|---|---|
session ref |
session_ref |
Reference to a valid session |
pool ref |
self |
reference to the object |
Minimum Role: read-only
Return Type:
bool
value of the field
RPC name: getwlburl
Overview:
Get the wlburl field of the given pool.
Signature:
string get_wlb_url (session ref session_ref, pool ref self)
Arguments:
| Type | Name | Description |
|---|---|---|
session ref |
session_ref |
Reference to a valid session |
pool ref |
self |
reference to the object |
Minimum Role: read-only
Return Type:
string
value of the field
RPC name: getwlbusername
Overview:
Get the wlbusername field of the given pool.
Signature:
string get_wlb_username (session ref session_ref, pool ref self)
Arguments:
| Type | Name | Description |
|---|---|---|
session ref |
session_ref |
Reference to a valid session |
pool ref |
self |
reference to the object |
Minimum Role: read-only
Return Type:
string
value of the field
RPC name: getwlbverifycert
This message is deprecated.
Overview:
Get the wlbverifycert field of the given pool.
Signature:
bool get_wlb_verify_cert (session ref session_ref, pool ref self)
Arguments:
| Type | Name | Description |
|---|---|---|
session ref |
session_ref |
Reference to a valid session |
pool ref |
self |
reference to the object |
Minimum Role: read-only
Return Type:
bool
value of the field
RPC name: hacomputehypotheticalmaxhostfailurestotolerate
Overview:
Returns the maximum number of host failures we could tolerate before we would be unable to restart the provided VMs
Signature:
int ha_compute_hypothetical_max_host_failures_to_tolerate (session ref session_ref, (VM ref -> string) map configuration)
Arguments:
| Type | Name | Description |
|---|---|---|
session ref |
session_ref |
Reference to a valid session |
(VM ref -> string) map |
configuration |
Map of protected VM reference to restart priority |
Minimum Role: read-only
Return Type:
int
maximum value for hahostfailurestotolerate given provided configuration
RPC name: hacomputemaxhostfailurestotolerate
Overview:
Returns the maximum number of host failures we could tolerate before we would be unable to restart configured VMs
Signature:
int ha_compute_max_host_failures_to_tolerate (session ref session_ref)
Arguments:
| Type | Name | Description |
|---|---|---|
session ref |
session_ref |
Reference to a valid session |
Minimum Role: pool-operator
Return Type:
int
maximum value for hahostfailurestotolerate given current configuration
RPC name: hacomputevmfailoverplan
Overview:
Return a VM failover plan assuming a given subset of hosts fail
Signature:
(VM ref -> (string -> string) map) map ha_compute_vm_failover_plan (session ref session_ref, host ref set failed_hosts, VM ref set failed_vms)
Arguments:
| Type | Name | Description |
|---|---|---|
session ref |
session_ref |
Reference to a valid session |
host ref set |
failed_hosts |
The set of hosts to assume have failed |
VM ref set |
failed_vms |
The set of VMs to restart |
Minimum Role: pool-operator
Return Type:
(VM ref -> (string -> string) map) map
VM failover plan: a map of VM to host to restart the host on
RPC name: hafailoverplanexists
Overview:
Returns true if a VM failover plan exists for up to 'n' host failures
Signature:
bool ha_failover_plan_exists (session ref session_ref, int n)
Arguments:
| Type | Name | Description |
|---|---|---|
session ref |
session_ref |
Reference to a valid session |
int |
n |
The number of host failures to plan for |
Minimum Role: pool-operator
Return Type:
bool
true if a failover plan exists for the supplied number of host failures
RPC name: hapreventrestartsfor
Overview:
When this call returns the VM restart logic will not run for the requested number of seconds. If the argument is zero then the restart thread is immediately unblocked
Signature:
void ha_prevent_restarts_for (session ref session_ref, int seconds)
Arguments:
| Type | Name | Description |
|---|---|---|
session ref |
session_ref |
Reference to a valid session |
int |
seconds |
The number of seconds to block the restart thread for |
Minimum Role: pool-operator
Return Type:
void
RPC name: hasextension
Overview:
Return true if the extension is available on the pool
Signature:
bool has_extension (session ref session_ref, pool ref self, string name)
Arguments:
| Type | Name | Description |
|---|---|---|
session ref |
session_ref |
Reference to a valid session |
pool ref |
self |
The pool |
string |
name |
The name of the API call |
Minimum Role: pool-admin
Return Type:
bool
True if the extension exists, false otherwise
RPC name: initializewlb
Overview:
Initializes workload balancing monitoring on this pool with the specified wlb server
Signature:
void initialize_wlb (session ref session_ref, string wlb_url, string wlb_username, string wlb_password, string xenserver_username, string xenserver_password)
Arguments:
| Type | Name | Description |
|---|---|---|
session ref |
session_ref |
Reference to a valid session |
string |
wlb_url |
The ip address and port to use when accessing the wlb server |
string |
wlb_username |
The username used to authenticate with the wlb server |
string |
wlb_password |
The password used to authenticate with the wlb server |
string |
xenserver_username |
The username used by the wlb server to authenticate with the xenserver |
string |
xenserver_password |
The password used by the wlb server to authenticate with the xenserver |
Minimum Role: pool-operator
Return Type:
void
RPC name: installcacertificate
This message is deprecated.
Overview:
Install a TLS CA certificate, poolwide.
Signature:
void install_ca_certificate (session ref session_ref, string name, string cert)
Arguments:
| Type | Name | Description |
|---|---|---|
session ref |
session_ref |
Reference to a valid session |
string |
name |
A name to give the certificate |
string |
cert |
The certificate in PEM format |
Minimum Role: client-cert
Return Type:
void
RPC name: installtrustedcertificate
Overview:
Install a trusted TLS certificate, poolwide.
Signature:
void install_trusted_certificate (session ref session_ref, pool ref self, bool ca, string cert, certificate_purpose set purpose)
Arguments:
| Type | Name | Description |
|---|---|---|
session ref |
session_ref |
Reference to a valid session |
pool ref |
self |
The pool |
bool |
ca |
The trusted certificate is a root CA certificate used to verify a chain (true), or a leaf certificate used for certificate pinning (false) |
string |
cert |
The certificate in PEM format |
certificate_purpose set |
purpose |
The purpose of the certificate |
Minimum Role: client-cert
Return Type:
void
RPC name: join
Overview:
Instruct host to join a new pool
Signature:
void join (session ref session_ref, string master_address, string master_username, string master_password)
Arguments:
| Type | Name | Description |
|---|---|---|
session ref |
session_ref |
Reference to a valid session |
string |
master_address |
The hostname of the master of the pool to join |
string |
master_username |
The username of the master (for initial authentication) |
string |
master_password |
The password for the master (for initial authentication) |
Minimum Role: pool-operator
Return Type:
void
Possible Error Codes:
JOINING_HOST_CANNOT_CONTAIN_SHARED_SRS
RPC name: joinforce
Overview:
Instruct host to join a new pool
Signature:
void join_force (session ref session_ref, string master_address, string master_username, string master_password)
Arguments:
| Type | Name | Description |
|---|---|---|
session ref |
session_ref |
Reference to a valid session |
string |
master_address |
The hostname of the master of the pool to join |
string |
master_username |
The username of the master (for initial authentication) |
string |
master_password |
The password for the master (for initial authentication) |
Minimum Role: pool-operator
Return Type:
void
RPC name: managementreconfigure
Overview:
Reconfigure the management network interface for all Hosts in the Pool
Signature:
void management_reconfigure (session ref session_ref, network ref network)
Arguments:
| Type | Name | Description |
|---|---|---|
session ref |
session_ref |
Reference to a valid session |
network ref |
network |
The network |
Minimum Role: pool-operator
Return Type:
void
Possible Error Codes:
HA_IS_ENABLED, PIF_NOT_PRESENT, CANNOT_PLUG_BOND_SLAVE, PIF_INCOMPATIBLE_PRIMARY_ADDRESS_TYPE, PIF_HAS_NO_NETWORK_CONFIGURATION, PIF_HAS_NO_V6_NETWORK_CONFIGURATION
RPC name: recoverslaves
Overview:
Instruct a pool master, M, to try and contact its slaves and, if slaves are in emergency mode, reset their master address to M.
Signature:
host ref set recover_slaves (session ref session_ref)
Arguments:
| Type | Name | Description |
|---|---|---|
session ref |
session_ref |
Reference to a valid session |
Minimum Role: pool-operator
Return Type:
host ref set
list of hosts whose master address were successfully reset
RPC name: removefromguestagentconfig
Overview:
Remove a keyvalue pair from the poolwide guest agent configuration
Signature:
void remove_from_guest_agent_config (session ref session_ref, pool ref self, string key)
Arguments:
| Type | Name | Description |
|---|---|---|
session ref |
session_ref |
Reference to a valid session |
pool ref |
self |
The pool |
string |
key |
The key to remove |
Minimum Role: pool-admin
Return Type:
void
RPC name: removefromguiconfig
Overview:
Remove the given key and its corresponding value from the guiconfig field of the given pool. If the key is not in that Map, then do nothing.
Signature:
void remove_from_gui_config (session ref session_ref, pool ref self, string key)
Arguments:
| Type | Name | Description |
|---|---|---|
session ref |
session_ref |
Reference to a valid session |
pool ref |
self |
reference to the object |
string |
key |
Key to remove |
Minimum Role: vm-operator
Return Type:
void
RPC name: removefromhealthcheckconfig
Overview:
Remove the given key and its corresponding value from the healthcheckconfig field of the given pool. If the key is not in that Map, then do nothing.
Signature:
void remove_from_health_check_config (session ref session_ref, pool ref self, string key)
Arguments:
| Type | Name | Description |
|---|---|---|
session ref |
session_ref |
Reference to a valid session |
pool ref |
self |
reference to the object |
string |
key |
Key to remove |
Minimum Role: pool-operator
Return Type:
void
RPC name: removefromlicenseserver
Overview:
Remove the given key and its corresponding value from the licenseserver field of the given pool. If the key is not in that Map, then do nothing.
Signature:
void remove_from_license_server (session ref session_ref, pool ref self, string key)
Arguments:
| Type | Name | Description |
|---|---|---|
session ref |
session_ref |
Reference to a valid session |
pool ref |
self |
reference to the object |
string |
key |
Key to remove |
Minimum Role: pool-operator
Return Type:
void
RPC name: removefromotherconfig
Overview:
Remove the given key and its corresponding value from the otherconfig field of the given pool. If the key is not in that Map, then do nothing.
Signature:
void remove_from_other_config (session ref session_ref, pool ref self, string key)
Arguments:
| Type | Name | Description |
|---|---|---|
session ref |
session_ref |
Reference to a valid session |
pool ref |
self |
reference to the object |
string |
key |
Key to remove |
Minimum Role: pool-operator
Return Type:
void
RPC name: removerepository
Overview:
Remove a repository from the enabled set
Signature:
void remove_repository (session ref session_ref, pool ref self, Repository ref value)
Arguments:
| Type | Name | Description |
|---|---|---|
session ref |
session_ref |
Reference to a valid session |
pool ref |
self |
The pool |
Repository ref |
value |
The repository to be removed |
Minimum Role: client-cert
Return Type:
void
RPC name: resettelemetryuuid
Overview:
Assign a new UUID to telemetry data.
Signature:
void reset_telemetry_uuid (session ref session_ref, pool ref self)
Arguments:
| Type | Name | Description |
|---|---|---|
session ref |
session_ref |
Reference to a valid session |
pool ref |
self |
The pool |
Minimum Role: pool-admin
Return Type:
void
RPC name: retrievewlbconfiguration
Overview:
Retrieves the pool optimization criteria from the workload balancing server
Signature:
(string -> string) map retrieve_wlb_configuration (session ref session_ref)
Arguments:
| Type | Name | Description |
|---|---|---|
session ref |
session_ref |
Reference to a valid session |
Minimum Role: read-only
Return Type:
(string -> string) map
The configuration used in optimizing this pool
RPC name: retrievewlbrecommendations
Overview:
Retrieves vm migrate recommendations for the pool from the workload balancing server
Signature:
(VM ref -> string set) map retrieve_wlb_recommendations (session ref session_ref)
Arguments:
| Type | Name | Description |
|---|---|---|
session ref |
session_ref |
Reference to a valid session |
Minimum Role: read-only
Return Type:
(VM ref -> string set) map
The list of vm migration recommendations
RPC name: rotatesecret
Overview:
Signature:
void rotate_secret (session ref session_ref)
Arguments:
| Type | Name | Description |
|---|---|---|
session ref |
session_ref |
Reference to a valid session |
Minimum Role: pool-admin
Return Type:
void
Possible Error Codes:
INTERNAL_ERROR, HOST_IS_SLAVE, CANNOT_CONTACT_HOST, HA_IS_ENABLED, NOT_SUPPORTED_DURING_UPGRADE
RPC name: sendtestpost
Overview:
Send the given body to the given host and port, using HTTPS, and print the response. This is used for debugging the SSL layer.
Signature:
string send_test_post (session ref session_ref, string host, int port, string body)
Arguments:
| Type | Name | Description |
|---|---|---|
session ref |
session_ref |
Reference to a valid session |
string |
host |
|
int |
port |
|
string |
body |
Minimum Role: pool-admin
Return Type:
string
The response
RPC name: sendwlbconfiguration
Overview:
Sets the pool optimization criteria for the workload balancing server
Signature:
void send_wlb_configuration (session ref session_ref, (string -> string) map config)
Arguments:
| Type | Name | Description |
|---|---|---|
session ref |
session_ref |
Reference to a valid session |
(string -> string) map |
config |
The configuration to use in optimizing this pool |
Minimum Role: pool-operator
Return Type:
void
RPC name: setautoupdatevmsecurebootcertificates
Overview:
Set the autoupdatevmsecurebootcertificates field of the given pool.
Signature:
void set_auto_update_vm_secureboot_certificates (session ref session_ref, pool ref self, bool value)
Arguments:
| Type | Name | Description |
|---|---|---|
session ref |
session_ref |
Reference to a valid session |
pool ref |
self |
reference to the object |
bool |
value |
New value to set |
Minimum Role: pool-operator
Return Type:
void
RPC name: setconsoleidletimeout
Overview:
Set the console idle timeout for all hosts in the pool
Signature:
void set_console_idle_timeout (session ref session_ref, pool ref self, int value)
Arguments:
| Type | Name | Description |
|---|---|---|
session ref |
session_ref |
Reference to a valid session |
pool ref |
self |
The pool |
int |
value |
The idle SSH/VNC session timeout in seconds. A value of 0 means no timeout. |
Minimum Role: pool-admin
Return Type:
void
RPC name: setcoordinatorbias
Overview:
Set the coordinatorbias field of the given pool.
Signature:
void set_coordinator_bias (session ref session_ref, pool ref self, bool value)
Arguments:
| Type | Name | Description |
|---|---|---|
session ref |
session_ref |
Reference to a valid session |
pool ref |
self |
reference to the object |
bool |
value |
New value to set |
Minimum Role: pool-operator
Return Type:
void
RPC name: setcrashdumpSR
Overview:
Set the crashdumpSR field of the given pool.
Signature:
void set_crash_dump_SR (session ref session_ref, pool ref self, SR ref value)
Arguments:
| Type | Name | Description |
|---|---|---|
session ref |
session_ref |
Reference to a valid session |
pool ref |
self |
reference to the object |
SR ref |
value |
New value to set |
Minimum Role: pool-operator
Return Type:
void
RPC name: setcustomueficertificates
Overview:
Set custom UEFI certificates for a pool and all its hosts. Need
allow-custom-uefi-certs set to true in conf. If empty: default back to Pool.ueficertificates
Signature:
void set_custom_uefi_certificates (session ref session_ref, pool ref self, string value)
Arguments:
| Type | Name | Description |
|---|---|---|
session ref |
session_ref |
Reference to a valid session |
pool ref |
self |
The pool |
string |
value |
The certificates to apply to the pool and its hosts |
Minimum Role: pool-admin
Return Type:
void
RPC name: setdefaultSR
Overview:
Set the defaultSR field of the given pool.
Signature:
void set_default_SR (session ref session_ref, pool ref self, SR ref value)
Arguments:
| Type | Name | Description |
|---|---|---|
session ref |
session_ref |
Reference to a valid session |
pool ref |
self |
reference to the object |
SR ref |
value |
New value to set |
Minimum Role: pool-operator
Return Type:
void
RPC name: setextauthcacheenabled
Overview:
Signature:
void set_ext_auth_cache_enabled (session ref session_ref, pool ref self, bool value)
Arguments:
| Type | Name | Description |
|---|---|---|
session ref |
session_ref |
Reference to a valid session |
pool ref |
self |
The pool |
bool |
value |
Specifies whether caching is enabled for external authentication |
Minimum Role: pool-operator
Return Type:
void
RPC name: setextauthcacheexpiry
Overview:
Signature:
void set_ext_auth_cache_expiry (session ref session_ref, pool ref self, int value)
Arguments:
| Type | Name | Description |
|---|---|---|
session ref |
session_ref |
Reference to a valid session |
pool ref |
self |
The pool |
int |
value |
The expiry time of entries in the external authentication cache (in seconds - 300 seconds, i.e. 5 minutes, is the default value) |
Minimum Role: pool-operator
Return Type:
void
RPC name: setextauthcachesize
Overview:
Signature:
void set_ext_auth_cache_size (session ref session_ref, pool ref self, int value)
Arguments:
| Type | Name | Description |
|---|---|---|
session ref |
session_ref |
Reference to a valid session |
pool ref |
self |
The pool |
int |
value |
The capacity of the external authentication cache |
Minimum Role: pool-operator
Return Type:
void
RPC name: setextauthmaxthreads
Overview:
Signature:
void set_ext_auth_max_threads (session ref session_ref, pool ref self, int value)
Arguments:
| Type | Name | Description |
|---|---|---|
session ref |
session_ref |
Reference to a valid session |
pool ref |
self |
The pool |
int |
value |
The new maximum |
Minimum Role: pool-operator
Return Type:
void
RPC name: setguiconfig
Overview:
Set the guiconfig field of the given pool.
Signature:
void set_gui_config (session ref session_ref, pool ref self, (string -> string) map value)
Arguments:
| Type | Name | Description |
|---|---|---|
session ref |
session_ref |
Reference to a valid session |
pool ref |
self |
reference to the object |
(string -> string) map |
value |
New value to set |
Minimum Role: vm-operator
Return Type:
void
RPC name: sethaallowovercommit
Overview:
Set the haallowovercommit field of the given pool.
Signature:
void set_ha_allow_overcommit (session ref session_ref, pool ref self, bool value)
Arguments:
| Type | Name | Description |
|---|---|---|
session ref |
session_ref |
Reference to a valid session |
pool ref |
self |
reference to the object |
bool |
value |
New value to set |
Minimum Role: pool-operator
Return Type:
void
RPC name: sethahostfailurestotolerate
Overview:
Set the maximum number of host failures to consider in the HA VM restart planner
Signature:
void set_ha_host_failures_to_tolerate (session ref session_ref, pool ref self, int value)
Arguments:
| Type | Name | Description |
|---|---|---|
session ref |
session_ref |
Reference to a valid session |
pool ref |
self |
The pool |
int |
value |
New number of host failures to consider |
Minimum Role: pool-operator
Return Type:
void
RPC name: setharebootvmoninternalshutdown
Overview:
Set the harebootvmoninternalshutdown field of the given pool.
Signature:
void set_ha_reboot_vm_on_internal_shutdown (session ref session_ref, pool ref self, bool value)
Arguments:
| Type | Name | Description |
|---|---|---|
session ref |
session_ref |
Reference to a valid session |
pool ref |
self |
reference to the object |
bool |
value |
New value to set |
Minimum Role: pool-operator
Return Type:
void
RPC name: sethealthcheckconfig
Overview:
Set the healthcheckconfig field of the given pool.
Signature:
void set_health_check_config (session ref session_ref, pool ref self, (string -> string) map value)
Arguments:
| Type | Name | Description |
|---|---|---|
session ref |
session_ref |
Reference to a valid session |
pool ref |
self |
reference to the object |
(string -> string) map |
value |
New value to set |
Minimum Role: pool-operator
Return Type:
void
RPC name: sethttpsonly
Overview:
updates all the host firewalls in the pool to open or close port 80 depending on the value
Signature:
void set_https_only (session ref session_ref, pool ref self, bool value)
Arguments:
| Type | Name | Description |
|---|---|---|
session ref |
session_ref |
Reference to a valid session |
pool ref |
self |
The pool |
bool |
value |
true - http port 80 will be blocked, false - http port 80 will be open for the hosts in the pool |
Minimum Role: pool-operator
Return Type:
void
RPC name: setigmpsnoopingenabled
Overview:
Enable or disable IGMP Snooping on the pool.
Signature:
void set_igmp_snooping_enabled (session ref session_ref, pool ref self, bool value)
Arguments:
| Type | Name | Description |
|---|---|---|
session ref |
session_ref |
Reference to a valid session |
pool ref |
self |
The pool |
bool |
value |
Enable or disable IGMP Snooping on the pool |
Minimum Role: pool-operator
Return Type:
void
RPC name: setispsrpending
Overview:
Set the ispsrpending field of the given pool.
Signature:
void set_is_psr_pending (session ref session_ref, pool ref self, bool value)
Arguments:
| Type | Name | Description |
|---|---|---|
session ref |
session_ref |
Reference to a valid session |
pool ref |
self |
reference to the object |
bool |
value |
New value to set |
Minimum Role: pool-operator
Return Type:
void
RPC name: setlicenseserver
Overview:
Set the licenseserver field of the given pool.
Signature:
void set_license_server (session ref session_ref, pool ref self, (string -> string) map value)
Arguments:
| Type | Name | Description |
|---|---|---|
session ref |
session_ref |
Reference to a valid session |
pool ref |
self |
reference to the object |
(string -> string) map |
value |
New value to set |
Minimum Role: pool-operator
Return Type:
void
RPC name: setlimitconsolesessions
Overview:
Set the limitconsolesessions field of the given pool.
Signature:
void set_limit_console_sessions (session ref session_ref, pool ref self, bool value)
Arguments:
| Type | Name | Description |
|---|---|---|
session ref |
session_ref |
Reference to a valid session |
pool ref |
self |
reference to the object |
bool |
value |
New value to set |
Minimum Role: pool-operator
Return Type:
void
RPC name: setlivepatchingdisabled
Overview:
Set the livepatchingdisabled field of the given pool.
Signature:
void set_live_patching_disabled (session ref session_ref, pool ref self, bool value)
Arguments:
| Type | Name | Description |
|---|---|---|
session ref |
session_ref |
Reference to a valid session |
pool ref |
self |
reference to the object |
bool |
value |
New value to set |
Minimum Role: pool-operator
Return Type:
void
RPC name: setlocalauthmaxthreads
Overview:
Signature:
void set_local_auth_max_threads (session ref session_ref, pool ref self, int value)
Arguments:
| Type | Name | Description |
|---|---|---|
session ref |
session_ref |
Reference to a valid session |
pool ref |
self |
The pool |
int |
value |
The new maximum |
Minimum Role: pool-operator
Return Type:
void
RPC name: setmigrationcompression
Overview:
Set the migrationcompression field of the given pool.
Signature:
void set_migration_compression (session ref session_ref, pool ref self, bool value)
Arguments:
| Type | Name | Description |
|---|---|---|
session ref |
session_ref |
Reference to a valid session |
pool ref |
self |
reference to the object |
bool |
value |
New value to set |
Minimum Role: pool-operator
Return Type:
void
RPC name: setnamedescription
Overview:
Set the namedescription field of the given pool.
Signature:
void set_name_description (session ref session_ref, pool ref self, string value)
Arguments:
| Type | Name | Description |
|---|---|---|
session ref |
session_ref |
Reference to a valid session |
pool ref |
self |
reference to the object |
string |
value |
New value to set |
Minimum Role: pool-operator
Return Type:
void
RPC name: setnamelabel
Overview:
Set the namelabel field of the given pool.
Signature:
void set_name_label (session ref session_ref, pool ref self, string value)
Arguments:
| Type | Name | Description |
|---|---|---|
session ref |
session_ref |
Reference to a valid session |
pool ref |
self |
reference to the object |
string |
value |
New value to set |
Minimum Role: pool-operator
Return Type:
void
RPC name: setotherconfig
Overview:
Set the otherconfig field of the given pool.
Signature:
void set_other_config (session ref session_ref, pool ref self, (string -> string) map value)
Arguments:
| Type | Name | Description |
|---|---|---|
session ref |
session_ref |
Reference to a valid session |
pool ref |
self |
reference to the object |
(string -> string) map |
value |
New value to set |
Minimum Role: pool-operator
Return Type:
void
RPC name: setpolicynovendordevice
This message is deprecated.
Overview:
Set the policynovendordevice field of the given pool.
Signature:
void set_policy_no_vendor_device (session ref session_ref, pool ref self, bool value)
Arguments:
| Type | Name | Description |
|---|---|---|
session ref |
session_ref |
Reference to a valid session |
pool ref |
self |
reference to the object |
bool |
value |
New value to set |
Minimum Role: pool-operator
Return Type:
void
RPC name: setrepositories
Overview:
Set enabled set of repositories
Signature:
void set_repositories (session ref session_ref, pool ref self, Repository ref set value)
Arguments:
| Type | Name | Description |
|---|---|---|
session ref |
session_ref |
Reference to a valid session |
pool ref |
self |
The pool |
Repository ref set |
value |
The set of repositories to be enabled |
Minimum Role: client-cert
Return Type:
void
RPC name: setsshautomode
Overview:
Set the SSH auto mode for all hosts in the pool
Signature:
void set_ssh_auto_mode (session ref session_ref, pool ref self, bool value)
Arguments:
| Type | Name | Description |
|---|---|---|
session ref |
session_ref |
Reference to a valid session |
pool ref |
self |
The pool |
bool |
value |
The SSH auto mode for all hosts in the pool. When true, the SSH port is closed by default and it's open only in case the API is unavailable. When false, the SSH port is always open. |
Minimum Role: pool-admin
Return Type:
void
RPC name: setsshenabledtimeout
Overview:
Set the SSH enabled timeout for all hosts in the pool
Signature:
void set_ssh_enabled_timeout (session ref session_ref, pool ref self, int value)
Arguments:
| Type | Name | Description |
|---|---|---|
session ref |
session_ref |
Reference to a valid session |
pool ref |
self |
The pool |
int |
value |
The SSH enabled timeout in seconds. (0 means no timeout, max 2 days) |
Minimum Role: pool-admin
Return Type:
void
RPC name: setsuspendimageSR
Overview:
Set the suspendimageSR field of the given pool.
Signature:
void set_suspend_image_SR (session ref session_ref, pool ref self, SR ref value)
Arguments:
| Type | Name | Description |
|---|---|---|
session ref |
session_ref |
Reference to a valid session |
pool ref |
self |
reference to the object |
SR ref |
value |
New value to set |
Minimum Role: pool-operator
Return Type:
void
RPC name: settelemetrynextcollection
Overview:
Set the timestamp for the next telemetry data collection.
Signature:
void set_telemetry_next_collection (session ref session_ref, pool ref self, datetime value)
Arguments:
| Type | Name | Description |
|---|---|---|
session ref |
session_ref |
Reference to a valid session |
pool ref |
self |
The pool |
datetime |
value |
The earliest timestamp (in UTC) when the next round of telemetry collection can be carried out. |
Minimum Role: pool-admin
Return Type:
void
RPC name: setueficertificates
This message is deprecated.
Overview:
Set the UEFI certificates for a pool and all its hosts. Deprecated: use setcustomueficertificates instead
Signature:
void set_uefi_certificates (session ref session_ref, pool ref self, string value)
Arguments:
| Type | Name | Description |
|---|---|---|
session ref |
session_ref |
Reference to a valid session |
pool ref |
self |
The pool |
string |
value |
The certificates to apply to the pool and its hosts |
Minimum Role: pool-admin
Return Type:
void
RPC name: setupdatesyncenabled
Overview:
enable or disable periodic update synchronization depending on the value
Signature:
void set_update_sync_enabled (session ref session_ref, pool ref self, bool value)
Arguments:
| Type | Name | Description |
|---|---|---|
session ref |
session_ref |
Reference to a valid session |
pool ref |
self |
The pool |
bool |
value |
true - enable periodic update synchronization, false - disable it |
Minimum Role: pool-operator
Return Type:
void
RPC name: setvmconsoleidletimeout
Overview:
Set the vmconsoleidletimeout field of the given pool.
Signature:
void set_vm_console_idle_timeout (session ref session_ref, pool ref self, int value)
Arguments:
| Type | Name | Description |
|---|---|---|
session ref |
session_ref |
Reference to a valid session |
pool ref |
self |
reference to the object |
int |
value |
New value to set |
Minimum Role: pool-operator
Return Type:
void
RPC name: setvswitchcontroller
This message is deprecated.
Overview:
Set the IP address of the vswitch controller.
Signature:
void set_vswitch_controller (session ref session_ref, string address)
Arguments:
| Type | Name | Description |
|---|---|---|
session ref |
session_ref |
Reference to a valid session |
string |
address |
IP address of the vswitch controller. |
Minimum Role: pool-operator
Return Type:
void
RPC name: setwlbenabled
Overview:
Set the wlbenabled field of the given pool.
Signature:
void set_wlb_enabled (session ref session_ref, pool ref self, bool value)
Arguments:
| Type | Name | Description |
|---|---|---|
session ref |
session_ref |
Reference to a valid session |
pool ref |
self |
reference to the object |
bool |
value |
New value to set |
Minimum Role: client-cert
Return Type:
void
RPC name: setwlbverifycert
This message is deprecated.
Overview:
Set the wlbverifycert field of the given pool.
Signature:
void set_wlb_verify_cert (session ref session_ref, pool ref self, bool value)
Arguments:
| Type | Name | Description |
|---|---|---|
session ref |
session_ref |
Reference to a valid session |
pool ref |
self |
reference to the object |
bool |
value |
New value to set |
Minimum Role: pool-operator
Return Type:
void
RPC name: syncdatabase
Overview:
Forcibly synchronise the database now
Signature:
void sync_database (session ref session_ref)
Arguments:
| Type | Name | Description |
|---|---|---|
session ref |
session_ref |
Reference to a valid session |
Minimum Role: pool-operator
Return Type:
void
RPC name: synctrustedcertificatesfrom
Overview:
Download trusted TLS certificates from a remote pool and install them in this pool. Certificates already present locally matched by fingerprint and purpose are skipped.
Signature:
Certificate ref set sync_trusted_certificates_from (session ref session_ref, pool ref self, string remote_pool, session ref remote_session, string remote_certificate, bool ca)
Arguments:
| Type | Name | Description |
|---|---|---|
session ref |
session_ref |
Reference to a valid session |
pool ref |
self |
The pool |
string |
remote_pool |
The hostname or IP address of the coordinator of the remote pool from which the certificates are downloaded |
session ref |
remote_session |
A session obtained from the remote pool, used to authenticate the download |
string |
remote_certificate |
The PEM-encoded TLS certificate of the remote pool's coordinator, used to verify the TLS connection to the remote pool. |
bool |
ca |
true for 'ca' or false for 'pinned' |
Minimum Role: client-cert
Return Type:
Certificate ref set
The references of certificates synced.
RPC name: syncupdates
Overview:
Sync with the enabled repository
Signature:
string sync_updates (session ref session_ref, pool ref self, bool force, string token, string token_id, string username, string password)
Arguments:
| Type | Name | Description |
|---|---|---|
session ref |
session_ref |
Reference to a valid session |
pool ref |
self |
The pool |
bool |
force |
If true local mirroring repo will be removed before syncing |
string |
token |
The token for repository client authentication |
string |
token_id |
The ID of the token |
string |
username |
The username of the remote pool |
string |
password |
The password of the remote pool |
Minimum Role: client-cert
Return Type:
string
The SHA256 hash of updateinfo.xml.gz
RPC name: testarchivetarget
Overview:
This call tests if a location is valid
Signature:
string test_archive_target (session ref session_ref, pool ref self, (string -> string) map config)
Arguments:
| Type | Name | Description |
|---|---|---|
session ref |
session_ref |
Reference to a valid session |
pool ref |
self |
Reference to the pool |
(string -> string) map |
config |
Location config settings to test |
Minimum Role: pool-operator
Return Type:
string
An XMLRPC result
RPC name: uninstallcacertificate
This message is deprecated.
Overview:
Remove a poolwide TLS CA certificate.
Signature:
void uninstall_ca_certificate (session ref session_ref, string name, bool force)
Arguments:
| Type | Name | Description |
|---|---|---|
session ref |
session_ref |
Reference to a valid session |
string |
name |
The certificate name |
bool |
force |
Remove the DB entry even if the file is non-existent |
Minimum Role: client-cert
Return Type:
void
RPC name: uninstalltrustedcertificate
Overview:
Uninstall a trusted TLS certificate, poolwide.
Signature:
void uninstall_trusted_certificate (session ref session_ref, pool ref self, Certificate ref certificate)
Arguments:
| Type | Name | Description |
|---|---|---|
session ref |
session_ref |
Reference to a valid session |
pool ref |
self |
The pool |
Certificate ref |
certificate |
The reference of the trusted certificate to be uninstalled |
Minimum Role: client-cert
Return Type:
void